
USE _caosdb_schema_unit_tests;

BEGIN;
CALL tap.no_plan();

-- SETUP
INSERT INTO entities (id, role, acl) VALUES
(52, "FILE", 0),
(53, "FILE", 0),
(54, "FILE", 0),
(55, "FILE", 0),
(56, "FILE", 0),
(57, "FILE", 0);


INSERT INTO files (file_id, path, size, file_key) VALUES
(52, "file_at_root_a", 256, "file_at_root_a"),
(53, "file_at_root_b", 256, "file_at_root_b"),
(54, "level1/file_at_level1_a", 256, "level1/file_at_level1_a"),
(55, "level1/file_at_level1_b", 256, "level1/file_at_level1_b"),
(56, "level1/level2/file_at_level2_a", 256, "level1/level2/file_at_level2_a"),
(57, "level1/level2/file_at_level2_b", 256, "level1/level2/file_at_level2_b");


SELECT tap.eq(COUNT(*), 7, "7 rows in test_files") FROM files;

-- TEST _create_dirs

CALL _create_dirs();

SELECT tap.eq(COUNT(*), 9, "9 rows in test_files") FROM files;
SELECT tap.eq(COUNT(*), 1, "one dir level1") FROM files WHERE path="level1";
SELECT tap.eq(COUNT(*), 1, "one dir level1/level2") FROM files WHERE path="level1/level2";



CALL tap.finish();
ROLLBACK;
